Subject: Re: [TR] Lucas bulbs

From: "Randall" <[email-masked]>
Date: Fri, 18 Jul 2014 20:57:44 -0700

> A typical vintage Lucas "driving light" -- say a SLR576, the 
> kind with a
> long pencil beam and a plain glass front lens-- will take a 48W BPF
> (British Pre Focus) bulb with an axial filament.  The 
> filament is in the
> line of travel of the beam.  Lucas bulb number 185 (12V).

While I'm sure Don is right about "typical", I thought it interesting that the Lucas 400e Master Catalog shows quite a few different
bulbs for various part numbers of SLR576, including the 323 transverse filament and 685 which is an amber axial filament.  And
that's only for 12 volts, the SLR576 was also available in 6 volt and 24 volt versions.

The SFT576 fog lamps had even more options, including some dual filament bulbs.

I couldn't find anyone in the US that claims to stock the 185 bulb at a reasonable price; but I sent Alex some links to Holden &
MGOC in the UK, who have them listed.  Holden actually lists a halogen substitute (with the same base), MGOC doesn't say.

Canley shows them as "out of stock, available to order", which might mean they expect to get more (or not).

Randall

** [email-masked] **

Archive: http://www.team.net/archive